uniform sampler2D blurMaps0;
uniform sampler2D blurMaps1;
uniform sampler2D blurMaps2;
uniform sampler2D blurMaps3;
uniform sampler2D blurMaps4;
uniform sampler2D lutTex;
varying highp vec2 texCoord;

#+shaderlib1.glsl
#+libblurmap.glsl


void main()
{
    mediump vec2 de = (texCoord-vec2(0.5, 0.5))*2.0;
    //mediump float amount=clamp( -0.6 + sqrt(dot(de,de)) * 4.0, 0.0, 3.9999);
    highp float amount=clamp( -0.5 + sqrt(de.y*de.y) * 4.5, 0.0, 3.9999);
    
	
    mediump vec3 bmapcol = sampleBlurMap( amount ); 
	
	gl_FragColor = vec4( lut3d( clamp(bmapcol,0.0,1.0)).rgb, 1.0);
    
}


