uniform sampler2D SamplerRGB;
uniform sampler2D lowDetailSamplerRGB;
uniform mediump float clarityMul;
varying highp vec2 texCoord;

uniform sampler2D lutTex;

#+LUT_BLITTER

    
void main()
{
	highp vec3 rgb = texture2D( SamplerRGB, texCoord ).rgb;
	highp vec3 ldrgb = texture2D( lowDetailSamplerRGB, texCoord ).rgb;
	rgb = clamp( rgb + (rgb-ldrgb)*clarityMul, 0.0, 1.0);
	gl_FragColor = vec4( lut3d(rgb).rgb, 1.0);
}