uniform sampler2D texInput;
varying highp vec2 texCoord;
uniform highp vec2 backbufferSize;

void main()
{
    highp vec2 spos = vec2( texCoord.y, texCoord.x * backbufferSize.y / backbufferSize.x);
	mediump vec3 rgb =  texture2D(texInput, spos ).rgb;
	gl_FragColor = vec4( rgb, 1.0 );
}