
highp vec3 sampleBlurMap( highp float pos )
{
    mediump int p=int(floor(pos));
    
    if (p == 0) {
	    return mix(texture2D(blurMaps0, texCoord ).rgb,
			       texture2D(blurMaps1, texCoord ).rgb,
			       fract(pos) );
    } else if (p == 1) {
	    return mix(texture2D(blurMaps1, texCoord ).rgb,
			       texture2D(blurMaps2, texCoord ).rgb,
			       fract(pos) );
    } else if (p == 2) {
	    return mix(texture2D(blurMaps2, texCoord ).rgb,
			       texture2D(blurMaps3, texCoord ).rgb,
			       fract(pos) );
    } else if (p == 3) {
	    return mix(texture2D(blurMaps3, texCoord ).rgb,
			       texture2D(blurMaps4, texCoord ).rgb,
			       fract(pos) );
    }

    return vec3(0.0, 0.0, 0.0);
}


