uniform sampler2D texInput;
uniform sampler2D texVignette;
uniform sampler2D mulMask;

varying highp vec2 texCoord;

void main()
{
	mediump vec3 vig = texture2D( texVignette, texCoord ).rgb;
	mediump vec3 rgb =  texture2D(texInput, texCoord ).rgb * clamp( vig*1.5, 0.0, 1.0) * texture2D(mulMask, texCoord*4.0 ).rgb;
	//gl_FragColor = vec4( clamp( rgb + clamp(vig-vec3(0.5,0.5,0.5),0.0, 1.0), 0.0, 1.0), 1.0 );
    gl_FragColor = vec4( clamp( rgb+vig*0.25, 0.0, 1.0), 1.0 );
    //gl_FragColor = vec4( vig, 1.0 );
}