uniform sampler2D inputSampler;
uniform sampler2D ldInput;
varying highp vec2 texCoord;
uniform mediump float effectPower;


void main()
{
	mediump vec3 ld = texture2D( ldInput, texCoord ).rgb;
    mediump vec3 col = texture2D( inputSampler, texCoord ).rgb;
    mediump vec3 div = ld + vec3(0.25, 0.25, 0.25);
	gl_FragColor = vec4( col/div, 1.0);
}


