uniform sampler2D SamplerRGB;
uniform sampler2D lutTex;
varying highp vec2 texCoord;
    
#+shaderlib1.glsl
    
void main()
{
	mediump vec3 rgb = texture2D( SamplerRGB, texCoord ).rgb;
	gl_FragColor = vec4(lut3d( clamp(rgb, 0.0, 1.0) ).rgb, 1.0);
}