uniform sampler2D SamplerRGB;
uniform highp float splitDistance;
varying highp vec2 texCoord;
    
void main()
{
    gl_FragColor = vec4(texture2D( SamplerRGB, texCoord - vec2(0.0, -splitDistance) ).r,
                        texture2D( SamplerRGB, texCoord ).g,
                        texture2D( SamplerRGB, texCoord - vec2(0.0, splitDistance) ).b, 1.0);
}