uniform sampler2D SamplerRGB;
uniform mediump vec3 colorAdd;
uniform mediump vec3 colorMul;
varying highp vec2 texCoord;
    
void main()
{
	mediump vec3 rgb = (texture2D( SamplerRGB, texCoord ).rgb + colorAdd);
	gl_FragColor = vec4( clamp(rgb*colorMul,0.0,1.0), 1.0 );
}