uniform sampler2D texInput;
uniform sampler2D texBlend;
uniform mediump float blendPower;
uniform highp float blendLoop;

varying highp vec2 texCoord;
varying highp vec2 texCoord2;

void main()
{
	mediump vec4 ble = texture2D( texBlend, texCoord2 * blendLoop);
	mediump vec4 rgb =  texture2D(texInput, texCoord );
    // result = vec4(1.0) - (vec4(1.0) - base) / blend;
	gl_FragColor = mix( rgb, (vec4(1.0) - (vec4(1.0)-rgb) / ble), blendPower*ble.a );
}