uniform sampler2D texInput;
uniform sampler2D texBlend;
uniform mediump float blendPower;
uniform highp float blendLoop;

varying highp vec2 texCoord;
varying highp vec2 texCoord2;

void main()
{
	mediump vec4 ble = texture2D( texBlend, texCoord2*blendLoop );
	mediump vec4 rgb =  texture2D(texInput, texCoord );
	gl_FragColor = mix( rgb, rgb/ble, blendPower*ble.a );
}