uniform sampler2D blurMaps0;
uniform sampler2D blurMaps1;
uniform sampler2D blurMaps2;
uniform sampler2D blurMaps3;
uniform sampler2D blurMaps4;
uniform sampler2D blurAmount;						// map to define the amount of blurring
uniform sampler2D lutTex;

varying highp vec2 texCoord;


#+libblurmap.glsl
#+shaderlib1.glsl



void main()
{
	highp float amount = 1.0 - texture2D( blurAmount, texCoord ).g;
    highp vec3 bmapcol = sampleBlurMap( amount * 3.99 );
	gl_FragColor = vec4( lut3d( bmapcol ).rgb, 1.0);
}


