uniform sampler2D SamplerRGB;
uniform sampler2D lowDetailSamplerRGB;
uniform mediump float clarityMul;
varying highp vec2 texCoord;
    
void main()
{
	mediump vec3 rgb = texture2D( SamplerRGB, texCoord ).rgb;
	mediump vec3 ldrgb = texture2D( lowDetailSamplerRGB, texCoord ).rgb;
	gl_FragColor = vec4( clamp( rgb + (rgb-ldrgb)*clarityMul, 0.0, 1.0), 1.0);
}