

highp vec4 lut3d(highp vec3 textureColor)
{
    highp float blueColor = textureColor.b * 30.9999;
    highp vec2 quad1 = vec2(textureColor.r, (floor(blueColor) / 32.0) + 0.5/1024.0 + ((31.0/1024.0) * textureColor.g) );
    highp vec2 quad2 = vec2(textureColor.r, (ceil(blueColor) / 32.0) + 0.5/1024.0 + ((31.0/1024.0) * textureColor.g) );
    return mix( texture2D(lutTex, quad1), texture2D(lutTex, quad2), fract(blueColor ) );

}


/*
mediump vec4 lut3d(highp vec3 textureColor)
{
	
	highp float blueColor = textureColor.b * 15.0;
	highp vec2 quad1;
	quad1.y = floor(floor(blueColor) / 4.0);
	quad1.x = floor(blueColor) - (quad1.y * 4.0);

	highp vec2 quad2;
	quad2.y = floor(ceil(blueColor) / 4.0);
	quad2.x = ceil(blueColor) - (quad2.y * 4.0);
	

	quad1.x = (quad1.x * 16.0/64.0) + 0.5/64.0 + ((15.0/64.0) * textureColor.r);
	quad1.y = (quad1.y * 16.0/64.0) + 0.5/64.0 + ((15.0/64.0) * textureColor.g);
	quad2.x = (quad2.x * 16.0/64.0) + 0.5/64.0 + ((15.0/64.0) * textureColor.r);
	quad2.y = (quad2.y * 16.0/64.0) + 0.5/64.0 + ((15.0/64.0) * textureColor.g);
    
	blueColor = fract(blueColor);
	return texture2D(lutTex, quad1)*(1.0-blueColor) + texture2D(lutTex, quad2)*blueColor;
}
 */



