uniform sampler2D inputSampler;
uniform sampler2D ldInput;
varying highp vec2 texCoord;
uniform mediump float effectPower;
uniform mediump float base; 


void main()
{
	mediump vec3 ld = texture2D( ldInput, texCoord ).rgb;
    mediump vec3 col = texture2D( inputSampler, texCoord ).rgb;
    mediump float div = mix(1.0, base + ld.r*0.33+ld.g*0.33+ld.b*0.33, effectPower);
	gl_FragColor = vec4( col/div, 1.0);
}


