/**
 *
 * Lens effect from photorim
 *
 */

uniform sampler2D SamplerRGB;
varying highp vec2 texCoord;

uniform mediump float amount;
/*
 uniform mediump float lens_distance;
 uniform mediump float lens_pow;
 uniform mediump float lens_strength;
 */



void main()
{
    /*
     mediump vec2 delta = (texCoord - vec2(0.5, 0.5)) * 2.0;
     mediump float sqrLen = pow( dot( delta, delta ), lens_pow );
     sqrLen = clamp( 1.0 - sqrLen * lens_distance, 0.0, 1.0) * lens_strength;
     gl_FragColor = texture2D(SamplerRGB, texCoord - delta*sqrLen);
     */
    // max length is 0.707106781186548
    mediump vec2 delta = (texCoord - vec2(0.5, 0.5))*2.0;
    //mediump float sqrLen = pow( dot( delta, delta ), lens_pow );
    //sqrLen = clamp( 1.0 - sqrLen * lens_distance, 0.0, 1.0) * lens_strength;
    //gl_FragColor = texture2D(SamplerRGB, vec(0.5, 0.5) + delta - delta*sqrLen);
    mediump float mul = 1.0 + amount - length(delta) * amount;

    //mediump float mul = 0.3 + pow(dot( delta, delta )/2.0, 4.0)*0.6;
    //mediump float mul = 1.0/((length(delta)/0.707106)+1.0);
    // mul 1 means center
    gl_FragColor = texture2D(SamplerRGB, vec2(0.5, 0.5) + delta * mul * 0.5);
    
    
}