
varying highp vec2 texCoord;
uniform mediump sampler2D text;                 // original image .. for the matching
uniform highp vec2 matchOffset;
uniform highp vec2 backbufferSize;
uniform highp float hvalue;
uniform mediump vec2 kernelOffsets[25];


void main() {

    /*
    // test with four samples
    highp vec2 otherPos = texCoord + matchOffset;
    highp vec2 otherPos2 = texCoord - matchOffset;
    highp vec2 otherPos3 = texCoord - vec2(matchOffset.x, -matchOffset.y);
    highp vec2 otherPos4 = texCoord - vec2(-matchOffset.x, matchOffset.y);
    
    highp vec3 dif;
    highp vec3 temp;
    highp float power = 0.0;
    mediump int i=0;
    while (i<25) {
        temp = texture2D(text, texCoord + kernelOffsets[i].xy).rgb;
        dif = temp - texture2D(text, otherPos + kernelOffsets[i].xy).rgb;
        power += exp(-dot(dif,dif)/hvalue);
        
        dif = temp - texture2D(text, otherPos2 + kernelOffsets[i].xy).rgb;
        power += exp(-dot(dif,dif)/hvalue);
        
        dif = temp - texture2D(text, otherPos3 + kernelOffsets[i].xy).rgb;
        power += exp(-dot(dif,dif)/hvalue);
        
        dif = temp - texture2D(text, otherPos4 + kernelOffsets[i].xy).rgb;
        power += exp(-dot(dif,dif)/hvalue);


        
        i++;
    }
    gl_FragColor = vec4( texture2D( text, otherPos ).rgb*power, power );
     */

/*
        // test with double sampling
    highp vec2 otherPos = texCoord + matchOffset;
    highp vec2 otherPos2 = texCoord -matchOffset;
    highp vec3 dif;
    highp vec3 temp;
    highp float power = 0.0;
    highp float power2 = 0.0;
    mediump int i=0;
    while (i<25) {
        temp = texture2D(text, texCoord + kernelOffsets[i].xy).rgb;
        dif = temp - texture2D(text, otherPos + kernelOffsets[i].xy).rgb;
        power += exp(-dot(dif,dif)/hvalue)/25.0;
        
        dif = temp - texture2D(text, otherPos2 + kernelOffsets[i].xy).rgb;
        power2 += exp(-dot(dif,dif)/hvalue)/25.0;

        i++;
    }
    gl_FragColor = vec4( texture2D( text, otherPos ).rgb + texture2D( text, otherPos2 ).rgb, power+power2 );
 */


    

        // original,...with single sample
    highp vec2 otherPos = texCoord + matchOffset;
    highp vec3 dif;
    highp float power = 0.0;
    mediump int i=0;
    while (i<25) {
        dif = texture2D(text, texCoord + kernelOffsets[i].xy).rgb - texture2D(text, otherPos + kernelOffsets[i].xy).rgb;
        power += exp(-dot(dif,dif)/hvalue)/25.0;
        i++;
    }
     gl_FragColor = vec4( texture2D( text, otherPos ).rgb, power );

    


}



