uniform sampler2D texInput;
uniform sampler2D texVignette;
uniform mediump float vignettePower;
uniform mediump float vignetteLoops;

varying highp vec2 texCoord;

void main()
{
	mediump vec3 vig = texture2D( texVignette, texCoord*vignetteLoops).rgb;
	mediump vec3 rgb =  texture2D(texInput, texCoord ).rgb;
	gl_FragColor = vec4( clamp( rgb*vig*vignettePower, 0.0, 1.0), 1.0 );
}